Rated 3 out of 5 stars

Dor - Please bump the extension version to make it installable on Firefox 3.0+.

P.S., as you know Hebrew, why don't you provide Hebrew translation for the addon? Contact me if you need some help.

This review is for a previous version of the add-on (1.3.1).